PMCONFIG(1)

NAME
pmconfig - Performance Co-Pilot configuration parameters

SYNOPSIS
$PCP_BINADM_DIR/pmconfig [-alLs?] [name ...]

DESCRIPTION
pmconfig displays the values for some or all configuration parameters of the local Performance Co-Pilot toolkit installation.

OPTIONS
The available command line options are:

-a, --all
    Reports all configuration parameters in the default format.

-l, --list
    Synonym for the -a option, reports the same (default) format.

-L, --library
    This option changes the default reporting mode so that the capabilities of the PCP library are reported, rather than the PCP environment.

-s, --shell
    An output format suitable for sourcing in shell scripts which ensures configuration information is quoted and preceded by an export statement. When not reporting the library capabilities, this mode will produce a statement that does not override an existing setting in the environment for PCP configuration variables.

-?, --help
    Display usage message and exit.

In the default operating mode, pmconfig is often used in conjunction with the $PCP_DIR environment variable to setup scripts running under the Windows operating system, where the filesystem hierarchy differs greatly to the of Linux/UNIX-based operating systems.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
pmGetConfig(3), pcp.conf(5) and pcp.env(5).